/*
 * io.h X68k XC Compiler v2.10 Copyright 1990,91,92 SHARP/Hudson
 */
#ifndef	__IO_H
#define	__IO_H

#include	<stddef.h>

#ifdef	FORWORD
#define	__PROTO_TYPE
#endif
#ifdef	__STDC__
#define	__PROTO_TYPE
#endif

#ifdef	__PROTO_TYPE

int	close(int);
int	eof(int);
int	dup(int);
long	tell(int);
int	dup2(int, int);
long	lseek(int, long, int);
int	setmode(int, int);
int	chsize(int, long);
char	*mktemp(char *);
int	isatty(int);
long	filelength(int);
int	chgft(int, int);
int	getft(int);
char	*dtasc(int);
char	*tmasc(int);
void	ftunpk(int, char *);
int	open(const char *, int,...);
size_t	write(int, const void *, size_t);
size_t	read(int, void *, size_t);
int	creat(const char *, int);
int	unlink(const char *);
int	chmod(const char *, int);
int	access(const char *, int);
int	rename(const char *, const char *);
int	chgfa(const char *, int);
int	getfa(const char *);
int	dtcnv(const char *);
int	tmcnv(const char *);
char	*files(char *, char *, int *, size_t *, const char *, char);
char	*nfiles(char *, char *, int *, size_t *);
int	ftpack(const char *);

#undef	__PROTO_TYPE
#else

int	close();
int	eof();
int	open();
int	dup();
int	creat();
long	tell();
int	dup2();
long	lseek();
int	unlink();
int	chmod();
int	setmode();
int	access();
int	chsize();
char	*mktemp();
int	isatty();
long	filelength();
int	rename();
int	chgfa();
int	chgft();
int	getfa();
int	getft();
char	*dtasc();
char	*tmasc();
int	dtcnv();
int	tmcnv();
char	*files();
char	*nfiles();
int	ftpack();
void	ftunpk();
size_t	write();
size_t	read();

#endif

#endif
